Skip to main content
POST
/
api
/
commerce
/
checkouts
/
{id}
/
line-items
Append line items to a checkout
curl --request POST \
  --url https://app.vaultgraph.com/api/commerce/checkouts/{id}/line-items \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "line_items": [
    {
      "item": {
        "id": "<string>"
      },
      "quantity": 2,
      "id": "<string>",
      "parent_id": "<string>",
      "properties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
'
import requests

url = "https://app.vaultgraph.com/api/commerce/checkouts/{id}/line-items"

payload = { "line_items": [
{
"item": { "id": "<string>" },
"quantity": 2,
"id": "<string>",
"parent_id": "<string>",
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line_items: [
{
item: {id: '<string>'},
quantity: 2,
id: '<string>',
parent_id: '<string>',
properties: [{name: '<string>', value: '<string>'}]
}
]
})
};

fetch('https://app.vaultgraph.com/api/commerce/checkouts/{id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "currency": "<string>",
    "line_items": [
      {
        "item": {
          "id": "<string>",
          "title": "<string>",
          "price": 123,
          "image_url": "<string>"
        },
        "quantity": 2,
        "id": "<string>",
        "parent_id": "<string>",
        "properties": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ],
        "totals": [
          {
            "amount": 123,
            "display_text": "<string>"
          }
        ]
      }
    ],
    "totals": [
      {
        "amount": 123,
        "display_text": "<string>"
      }
    ],
    "links": [
      {
        "type": "<string>",
        "url": "<string>",
        "title": "<string>"
      }
    ],
    "payment": {
      "handlers": [
        {
          "config": {},
          "config_schema": "<string>",
          "id": "<string>",
          "instrument_schemas": [
            "<string>"
          ],
          "name": "<string>",
          "spec": "<string>",
          "version": "<string>"
        }
      ],
      "instruments": [
        {
          "handler_id": "<string>",
          "id": "<string>",
          "type": "card",
          "brand": "<string>",
          "last_digits": "<string>",
          "billing_address": {
            "address_country": "<string>",
            "address_locality": "<string>",
            "address_region": "<string>",
            "extended_address": "<string>",
            "first_name": "<string>",
            "full_name": "<string>",
            "last_name": "<string>",
            "phone_number": "<string>",
            "postal_code": "<string>",
            "street_address": "<string>"
          },
          "credential": {
            "type": "<string>",
            "cryptogram": "<string>",
            "cvc": "<string>",
            "eci_value": "<string>",
            "expiry_month": 123,
            "expiry_year": 123,
            "name": "<string>",
            "number": "<string>"
          },
          "expiry_month": 123,
          "expiry_year": 123,
          "rich_card_art": "<string>",
          "rich_text_description": "<string>"
        }
      ],
      "selected_instrument_id": "<string>"
    },
    "ucp": {
      "capabilities": [
        {
          "name": "<string>",
          "version": "<string>",
          "config": {},
          "extends": "<string>",
          "schema": "<string>",
          "spec": "<string>"
        }
      ],
      "version": "<string>"
    },
    "buyer": {
      "email": "<string>",
      "first_name": "<string>",
      "full_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json
line_items
object[]
required

Response

200 - application/json

Updated checkout

data
object